unit uViewAlbaranesDevCliente;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewAlbaranesCliente, cxStyles, cxCustomData, cxGraphics, cxFilter,
  cxData, cxDataStorage, cxEdit, DB, cxDBData, cxImageComboBox, cxCurrencyEdit,
  dxPSGlbl, dxPSUtl, dxPSEngn, dxPrnPg, dxBkgnd, dxWrap, dxPrnDev,
  dxPSCompsProvider, dxPSFillPatterns, dxPSEdgePatterns, dxPgsDlg, dxPSCore,
  ImgList, PngImageList, ActnList, cxGridCustomPopupMenu, cxGridPopupMenu,
  dxPScxCommon, dxPScxGridLnk, uDADataTable, TB2Item, TBX, TB2Toolbar,
  TBXDkPanels, TB2Dock, uViewFiltroBase, cxGridLevel, cxGridCustomTableView,
  cxGridTableView, cxGridDBTableView, cxClasses, cxControls, cxGridCustomView,
  cxGrid;

type
  IViewAlbaranesDevCliente = interface(IViewAlbaranesCliente)
  ['{C3B3534D-DC3C-49E8-9176-77DD079D7A47}']
  end;

  TfrViewAlbaranesDevCliente = class(TfrViewAlbaranesCliente, IViewAlbaranesDevCliente)
    procedure CustomViewCreate(Sender: TObject);
  end;

implementation

uses uViewGrid;
{$R *.dfm}

procedure TfrViewAlbaranesDevCliente.CustomViewCreate(Sender: TObject);
begin
  inherited;
  cxGrid.RootLevelOptions.DetailTabsPosition := dtpNone;
  cxGridViewSITUACION.Destroy;
  cxGridViewREF_PEDIDO.Destroy;
  cxGridViewFECHA_PREVISTA_ENVIO.Destroy;
  cxGridViewFECHA_ENVIO.Destroy;
  cxGridViewFECHA_RECEPCION.Destroy;
  cxGridViewCALLE.Destroy;
  cxGridViewCODIGO_POSTAL.Destroy;
  cxGridViewPOBLACION.Destroy;
  cxGridViewPROVINCIA.Destroy;
end;

end.
